elm_code_file.h File Reference

These routines are used for interacting with files using Elm Code. More...

## Data Structures

struct | _Elm_Code_File

## Enumerations

enum | Elm_Code_File_Line_Ending { ELM_CODE_FILE_LINE_ENDING_UNIX = 0 , ELM_CODE_FILE_LINE_ENDING_WINDOWS }

## Functions

Elm_Code_File * | elm_code_file_new (Elm_Code *code)
Elm_Code_File * | elm_code_file_open (Elm_Code *code, const char *path)
void | elm_code_file_save (Elm_Code_File *file)
void | elm_code_file_free (Elm_Code_File *file)
void | elm_code_file_close (Elm_Code_File *file)
const char * | elm_code_file_filename_get (Elm_Code_File *file)
| Get the filename for the file specified.
const char * | elm_code_file_path_get (Elm_Code_File *file)
| Get the file path for the file specified.
Elm_Code_File_Line_Ending | elm_code_file_line_ending_get (Elm_Code_File *file)
const char * | elm_code_file_line_ending_chars_get (Elm_Code_File *file, short *length)
void | elm_code_file_clear (Elm_Code_File *file)
unsigned int | elm_code_file_lines_get (Elm_Code_File *file)
void | elm_code_file_line_append (Elm_Code_File *file, const char *line, int length, void *data)
void | elm_code_file_line_insert (Elm_Code_File *file, unsigned int row, const char *line, int length, void *data)
void | elm_code_file_line_remove (Elm_Code_File *file, unsigned int row)
Elm_Code_Line * | elm_code_file_line_get (Elm_Code_File *file, unsigned int line)

## Detailed Description

These routines are used for interacting with files using Elm Code.